import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfGroupArgsObjectSchema as PdfGroupArgsObjectSchema } from './PdfGroupArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  filename: z.boolean().optional(),
  pdfData: z.boolean().optional(),
  uploadedAt: z.boolean().optional(),
  groupId: z.boolean().optional(),
  group: z.union([z.boolean(), z.lazy(() => PdfGroupArgsObjectSchema)]).optional()
}).strict();
export const PdfFileSelectObjectSchema: z.ZodType<Prisma.PdfFileSelect> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileSelect>;
export const PdfFileSelectObjectZodSchema = makeSchema();
